Redmine - Defect #4088

Update from r2943 to r2952 causes 500 Internal Server Error with enumerations
2009-10-22 17:19 - Albrecht Backhaus

Status: Closed Start date: 2009-10-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Updated my redmine installation from trunk r2943 to r2952. With this updates | experience an 500 Internal Server Error when | select
enumerations in the administration. Creating a project runs in that error 500 too.

Processing EnumerationsController#index (for XXX.XXX.XXX.XXX at 2009-10-22 10:02:43) [GET]
Parameters: {"action"=>"index", "controller"=>"enumerations"}

Rendering template within layouts/base

Rendering enumerations/list

ActionView: :TemplateError (Mysqgl::Error: Unknown column 'enumerations.project_id' in 'where clause
': SELECT count (*) AS count_all FROM "“enumerations’ WHERE ( enumerations’ . project_id" IS NULL) AN
D ( ('enumerations’ . type' = 'TimeEntryActivity' ) ) ) on line #7 of app/views/enumerations/list.r
html:

<h3><%= 1 (klass::0OptionName) %></h3>

<% enumerations = klass.all %>

4
5
6
7: <% if enumerations.any? %>
8: <table class="list">
9: <tr>
10: <th><%= 1 (:field_name) %></th>
app/views/enumerations/list.rhtml:7:in °~_run_rhtml_appd47views47enumerations47list46rhtml’
app/views/enumerations/list.rhtml:3:in "each'
app/views/enumerations/list.rhtml:3:in ' _run_rhtml_appd7viewsd7enumerations4d7list46rhtml’
app/controllers/enumerations_controller.rb:26:in "~ index'
dispatch.fcgi:24

Rendering /home/xxxxx/etc/rails_apps/redmine/public/500.html (500 Internal Server Error)

Rollback solves the problem.

History

#1 - 2009-10-22 17:25 - Anonymous

try
rake db:migrate RAILS_ENV=development
after svn update

#2 - 2009-10-22 18:57 - Albrecht Backhaus
- Status changed from New to Resolved
Krzysztof Podejma wrote:

try
rake db:migrate RAILS_ENV=development
after svn update

Thank you very much - that was it. All fine so far now.

Regards, Albrecht
https://www.redmine.org/projects/redmine/repository/svn/revisions/2943
https://www.redmine.org/projects/redmine/repository/svn/revisions/2952

#3 - 2009-10-22 19:27 - Jean-Philippe Lang
- Status changed from Resolved to Closed
- Affected version (unused) deleted (devel)

- Resolution set to Invalid

2025-05-10 2/2


http://www.tcpdf.org

